using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight.Legacy;

namespace StockPortfolio
{
    /// <summary>
    /// Holder for controls that display current stock information
    /// </summary>
    public class CompanyInfo
    {
        public C1Label _lblName;
        public C1Label _lblSymbol;
        public C1Label _lblOpen;
        public C1Label _lblHigh;
        public C1Label _lblLow;
        public C1Label _lblVolume;
        public C1Label _lblLastTrade;
        public C1Label _lblLastDate;

        public CompanyInfo(Control pg)
        {
            _lblHigh = new C1Label();
            _lblHigh.ReplacePlaceHolder(pg.FindName("txtCoHigh"), false);

            _lblLow = new C1Label();
            _lblLow.ReplacePlaceHolder(pg.FindName("txtCoLow"), false);

            _lblName = new C1Label();
            _lblName.ReplacePlaceHolder(pg.FindName("txtCoName"), false);

            _lblOpen = new C1Label();
            _lblOpen.ReplacePlaceHolder(pg.FindName("txtCoOpen"), false);

            _lblSymbol = new C1Label();
            _lblSymbol.ReplacePlaceHolder(pg.FindName("txtCoSymbol"), false);

            _lblVolume = new C1Label();
            _lblVolume.ReplacePlaceHolder(pg.FindName("txtCoVolumn"), false);

            _lblLastTrade = new C1Label();
            _lblLastTrade.ReplacePlaceHolder(pg.FindName("txtLastTrade"), false);

            _lblLastDate = new C1Label();
            _lblLastDate.ReplacePlaceHolder(pg.FindName("txtLastDate"), false);
        }
    }
}
